Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065807 - [fix available] Usability - libreoffice does not search XDG defined "Templates" directory
Summary: [fix available] Usability - libreoffice does not search XDG defined "Template...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Caolan McNamara
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1119709
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 02:39 UTC by Subhendu Ghosh
Modified: 2016-10-04 04:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 08:50:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0377 normal SHIPPED_LIVE Moderate: libreoffice security, bug fix, and enhancement update 2015-03-05 13:48:57 UTC

Description Subhendu Ghosh 2014-02-17 02:39:36 UTC
Description of problem:

The default search path for libreoffice templates includes the system directory and $USER/.config/....

It does not include the "Templates" directory as created for new users using the XDG-user-dirs spec.

The defaults for libreoffice should match gnome defaults.


Version-Release number of selected component (if applicable):
xdg-user-dirs-gtk-0.10-3.el7.x86_64
xdg-user-dirs-0.15-2.el7.x86_64
libreoffice-writer-4.1.4.2-2.el7.x86_64
libreoffice-math-4.1.4.2-2.el7.x86_64
libreoffice-ure-4.1.4.2-2.el7.x86_64
libreoffice-draw-4.1.4.2-2.el7.x86_64
libreoffice-pdfimport-4.1.4.2-2.el7.x86_64
libreoffice-impress-4.1.4.2-2.el7.x86_64
libreoffice-pyuno-4.1.4.2-2.el7.x86_64
libreoffice-graphicfilter-4.1.4.2-2.el7.x86_64
libreoffice-core-4.1.4.2-2.el7.x86_64
libreoffice-calc-4.1.4.2-2.el7.x86_64
libreoffice-opensymbol-fonts-4.1.4.2-2.el7.noarch
libreoffice-langpack-en-4.1.4.2-2.el7.x86_64
libreoffice-emailmerge-4.1.4.2-2.el7.x86_64


How reproducible:

Always

Steps to Reproduce:
1. Create user
2. /home/$user/Templates is not in LibreOffice search path for Templates.
3.

Actual results:

The Templates directory is not used

Expected results:

The Templates directory is used as specified in Gnome


Additional info:

Comment 1 Caolan McNamara 2014-02-21 14:01:38 UTC
It should be possible to do this, just need to figure out the blasted officecfg syntax for running it through the right backend to expand that

Comment 2 Caolan McNamara 2014-02-25 10:49:26 UTC
implemented this upstream now

Comment 3 Caolan McNamara 2014-03-04 13:55:31 UTC
And fixed a pile of bugs that this triggers. So its a nice feature but IMO too risky for 7.0 for little gain, lets punt to 7.1

Comment 6 Jiri Koten 2014-11-19 13:29:10 UTC
I don't see files from Templates xdg dir in LibreOffice Templates Manager. To be precise, I see the file when I choose to File > Templates > Save as Template - the file is in My Templates. But not in Manage or File > New > Templates - My Templates is empty.

Path list for Templates contains:
/home/test/.config/libreoffice/4/user/template
/home/test//Templates

Reproducer:
1) Save file in Templates xdg dir.
2) run libreoffice
3) Go to Templates
4) Select My Templates

Comment 10 errata-xmlrpc 2015-03-05 08:50:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0377.html


Note You need to log in before you can comment on or make changes to this bug.